Lists
List lists
Returns non-core lists the caller can access in the workspace. Core system apps (Messages, All Inbox) are excluded.
GET
/v2/prism/{teamId}/listsReturns non-core lists the caller can access in the workspace. Core system apps (Messages, All Inbox) are excluded.
Authorization
apiKey x-api-key<token>
Public API key generated from Micro settings. Sent as the x-api-key header and validated by AWS API Gateway in front of the service.
In: header
Path Parameters
teamId*string
Format
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://developers.micro.so/v2/prism/${MICRO_TEAM_ID}/lists" \ -H "x-api-key: $MICRO_API_KEY"{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "icon": "string", "object_type": "organization", "type": "string", "team_id": "810007d0-bec5-486c-b5d1-28fcd8a079ba", "description": "string", "created_at": "2019-08-24T14:15:22Z", "views": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string" } ] } ]}